<?php
/**
 * The template for displaying Archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Hypochondria
 */

get_header(); ?>

<div id="content-wrapper" class="content-area">
	<main id="primary" class="site-main" role="main">
		<?php if ( have_posts() ) :
			$options = get_option( 'hypochondria_theme_options' );
			$archive = $options[ 'archive_excerpts' ]; ?>
			
			<header class="archive-header">
				<h1 class="archive-title">
					<?php
					if ( is_category() ) :
						printf( __( 'Category: &ldquo;%s&rdquo;', 'hypochondria' ), single_cat_title( null, false ) );

					elseif ( is_tag() ) :
						printf( __( 'Tag: &ldquo;%s&rdquo;', 'hypochondria' ), single_tag_title( null, false ) );

					elseif ( is_author() ) :
						printf( __( 'Author: %s', 'hypochondria' ), get_the_author() );

					elseif ( is_day() ) :
						printf( __( 'Day: %s', 'hypochondria' ), get_the_date() );

					elseif ( is_month() ) :
						printf( __( 'Month: %s', 'hypochondria' ), get_the_date( _x( 'F Y', 'Monthly archives date format', 'hypochondria' ) ) );

					elseif ( is_year() ) :
						printf( __( 'Year: %s', 'hypochondria' ), get_the_date( _x( 'Y', 'Yearly archives date format', 'hypochondria' ) ) );

					elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
						_e( 'Asides', 'hypochondria' );

					elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) :
						_e( 'Galleries', 'hypochondria');

					elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
						_e( 'Images', 'hypochondria');

					elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
						_e( 'Videos', 'hypochondria' );

					elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
						_e( 'Quotes', 'hypochondria' );

					elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
						_e( 'Links', 'hypochondria' );

					elseif ( is_tax( 'post_format', 'post-format-status' ) ) :
						_e( 'Statuses', 'hypochondria' );

					elseif ( is_tax( 'post_format', 'post-format-audio' ) ) :
						_e( 'Audios', 'hypochondria' );

					elseif ( is_tax( 'post_format', 'post-format-chat' ) ) :
						_e( 'Chats', 'hypochondria' );

					else :
						_e( 'Archives', 'hypochondria' );

					endif;
					?>
				</h1>
			</header><!-- .archive-header -->

			<?php
			// Start The Loop(tm)
			while ( have_posts() ) : the_post();

				if ( ! $archive ) :
					// the option wasn't set, so default to excerpts for archive pages
					get_template_part( 'content', 'excerpt' );
				else :
					get_template_part( 'content', $archive );
				endif;

			endwhile;

			hypochondria_paging_nav();

		else :
			get_template_part( 'content', 'none' );
		endif;
		?>

	</main><!-- #primary -->
	
	<?php get_sidebar(); ?>
</section><!-- #content-wrapper -->

<?php get_footer(); ?>