<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Hypochondria
 */

get_header(); ?>

<div id="content-wrapper" class="content-area">
	<main id="primary" class="site-main" role="main">

		<?php if ( have_posts() ) :
		$options = get_option( 'hypochondria_theme_options' );
		$home = $options[ 'home_excerpts' ];

			// Start The Loop(tm)			
			while ( have_posts() ) : the_post();

				if ( ! $home ) :
					// the option wasn't set, so display full posts by default for the index
					get_template_part( 'content', 'full' );
				else :
					get_template_part( 'content', $home );
				endif;

			endwhile;

			hypochondria_paging_nav();

		else :
			get_template_part( 'content', 'none' );
		endif; ?>

	</main><!-- #primary -->
	
	<?php get_sidebar(); ?>
</div><!-- #content-wrapper -->

<?php get_footer(); ?>