<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package Hypochondria
 */

get_header(); ?>

<div id="content-wrapper" class="content-area">
	<main id="primary" class="site-main" role="main">

		<?php if ( have_posts() ) :
			$options = get_option( 'hypochondria_theme_options' );
			$search = $options[ 'search_excerpts' ]; ?>
				
			<header class="search-header">
				<h1 class="page-title"><?php printf( __( 'Search Results: &ldquo;%s&rdquo;', 'hypochondria' ), esc_attr( get_search_query() ) ); ?></h1>
			</header><!-- .page-header -->

			<?php
			// Start The Loop(tm)
			while ( have_posts() ) : the_post();

				if ( ! $search ) :
					// the option wasn't set, so default to excerpts for search results
					get_template_part( 'content', 'excerpt' );
				else :
					get_template_part( 'content', $search );
				endif;

			endwhile;

			hypochondria_paging_nav();

		else :
			get_template_part( 'content', 'none' );
		endif;
		?>
	</main><!-- #primary -->
	
	<?php get_sidebar(); ?>
</div><!-- #content-wrapper -->

<?php get_footer(); ?>